# Generated by Django 4.2.2 on 2023-06-24 17:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Aplicaciones',
            fields=[
                ('id_aplicacion', models.IntegerField(primary_key=True, serialize=False)),
                ('app', models.CharField(blank=True, max_length=100, null=True)),
                ('vigente', models.BooleanField(blank=True, null=True)),
            ],
            options={
                'db_table': 'aplicaciones',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Persona',
            fields=[
                ('rut', models.DecimalField(decimal_places=0, max_digits=12, primary_key=True, serialize=False)),
                ('dv', models.CharField(blank=True, max_length=1, null=True)),
                ('nombres', models.CharField(blank=True, max_length=100, null=True)),
                ('apellido_a', models.CharField(blank=True, max_length=100, null=True)),
                ('apellido_b', models.CharField(blank=True, max_length=100, null=True)),
                ('fono', models.CharField(blank=True, max_length=100, null=True)),
                ('email', models.CharField(blank=True, max_length=100, null=True)),
                ('fecha_nacimiento', models.DateField(blank=True, null=True)),
            ],
            options={
                'db_table': 'persona',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Rol',
            fields=[
                ('id_rol', models.IntegerField(primary_key=True, serialize=False)),
                ('nombre_rol', models.CharField(max_length=100)),
            ],
            options={
                'db_table': 'rol',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TipoTratamientoPersona',
            fields=[
                ('id_tipo_tratamiento', models.IntegerField(primary_key=True, serialize=False)),
                ('tratamiento', models.CharField(blank=True, max_length=50, null=True)),
            ],
            options={
                'db_table': 'tipo_tratamiento_persona',
                'db_table_comment': 'Establece el tratamiento de como dirigirse hacia una persona:\r\nEjemplo\r\nSe�or\r\nSe�ora\r\nSrta',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Usuario',
            fields=[
                ('login', models.CharField(max_length=20, primary_key=True, serialize=False)),
                ('clave', models.CharField(blank=True, max_length=20, null=True)),
                ('vigente', models.BooleanField(blank=True, null=True)),
            ],
            options={
                'db_table': 'usuario',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='UsuarioRol',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vigente', models.BooleanField(blank=True, null=True)),
            ],
            options={
                'db_table': 'usuario_rol',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='RolAplicacion',
            fields=[
                ('id_aplicacion', models.OneToOneField(db_column='id_aplicacion', on_delete=django.db.models.deletion.DO_NOTHING, primary_key=True, serialize=False, to='api.aplicaciones')),
                ('solo_visualizar', models.BooleanField(blank=True, null=True)),
            ],
            options={
                'db_table': 'rol_aplicacion',
                'managed': False,
            },
        ),
    ]
